LTTNG-DISABLE-EVEN(1)

NAME
lttng-disable-event - Disable LTTng event rules

SYNOPSIS

lttng [GENERAL OPTIONS] disable-event
      (--kernel [--probe | --function | --syscall] |
       --userspace | --jul | --log4j | --python)
      [--session=SESSION] [--channel=CHANNEL]
      (--all-events | EVENT[,EVENT]...)

DESCRIPTION

The lttng disable-event command disables one or more event rules previously enabled by the lttng-enable-event(1) command.

Event rules are always assigned to a channel when they are created. If the --channel option is omitted, the default channel named channel0 is used.

If the --session option is omitted, the chosen channel is picked from the current tracing session.

If the --all-events option is used, all the existing event rules of the chosen domain are disabled. Otherwise, at least one event rule to disable named EVENT must be specified.

With the --kernel option, the event source type can be specified using one of the --tracepoint, --probe, --function, or --syscall options. See lttng-enable-event(1) for more details about event source types.

Events can be disabled while tracing is active (use lttng-start(1) to make a tracing session active).

OPTIONS

General options are described in lttng(1).

  Domain

One of:

-j, --jul
    Disable event rules in the java.util.logging (JUL) domain.

-k, --kernel
    Disable event rules in the Linux kernel domain.

-l, --log4j
    Disable event rules in the Apache log4j domain.

-p, --python
    Disable event rules in the Python domain.

-u, --userspace
    Disable event rules in the user space domain.

  Target

-c, --channel=CHANNEL
    Disable event rules in the channel named CHANNEL instead of the default channel name channel0.

-s, --session=SESSION
    Disable event rules in the tracing session named SESSION instead of the current tracing session.

  Event source type

One of:

--function
    Linux kernel kretprobe. Only available with the --kernel domain option.

--probe
    Linux kernel kprobe. Only available with the --kernel domain option.

--syscall
    Linux kernel system call. Only available with the --kernel domain option.

--tracepoint
    Linux kernel or application tracepoint. Only available with the --kernel domain option (default Linux kernel domain event source type).

  Disabling

-a, --all-events
    Disable all enabled event rules in the chosen tracing session, tracing domain, and channel.

  Program information

-h, --help
    Show command help.

    This option, like lttng-help(1), attempts to launch /usr/bin/man to view the command’s man page. The path to the man pager can be overridden by the LTTNG_MAN_BIN_PATH environment variable.

--list-options
    List available command options.

ENVIRONMENT VARIABLES

LTTNG_ABORT_ON_ERROR
    Set to 1 to abort the process after the first error is encountered.

LTTNG_HOME
    Overrides the $HOME environment variable. Useful when the user running the commands has a non-writable home directory.

LTTNG_MAN_BIN_PATH
    Absolute path to the man pager to use for viewing help information about LTTng commands (using lttng-help(1) or lttng COMMAND --help).

LTTNG_SESSION_CONFIG_XSD_PATH
    Path in which the session.xsd session configuration XML schema may be found.

LTTNG_SESSIOND_PATH
    Full session daemon binary path.

    The --sessiond-path option has precedence over this environment variable.

Note that the lttng-create(1) command can spawn an LTTng session daemon automatically if none is running. See lttng-sessiond(8) for the environment variables influencing the execution of the session daemon.

FILES

$LTTNG_HOME/.lttngrc
    User LTTng runtime configuration.

    This is where the per-user current tracing session is stored between executions of lttng(1). The current tracing session can be set with lttng-set-session(1). See lttng-create(1) for more information about tracing sessions.

$LTTNG_HOME/lttng-traces
    Default output directory of LTTng traces. This can be overridden with the --output option of the lttng-create(1) command.

$LTTNG_HOME/.lttng
    User LTTng runtime and configuration directory.

$LTTNG_HOME/.lttng/sessions
    Default location of saved user tracing sessions (see lttng-save(1) and lttng-load(1)).

/usr/local/etc/lttng/sessions
    System-wide location of saved tracing sessions (see lttng-save(1) and lttng-load(1)).

    Note

    $LTTNG_HOME defaults to $HOME when not explicitly set.

EXIT STATUS

0
    Success

1
    Command error

2
    Undefined command

3
    Fatal error

4
    Command warning (something went wrong during the command)

BUGS

If you encounter any issue or usability problem, please report it on the LTTng bug tracker <https://bugs.lttng.org/projects/lttng-tools>.

RESOURCES

    • LTTng project website <http://lttng.org>

    • LTTng documentation <http://lttng.org/docs>

    • Git repositories <http://git.lttng.org>

    • GitHub organization <http://github.com/lttng>

    • Continuous integration <http://ci.lttng.org/>

    • Mailing list <http://lists.lttng.org> for support and development: lttng-dev@lists.lttng.org

    • IRC channel <irc://irc.oftc.net/lttng>: #lttng on irc.oftc.net

COPYRIGHTS

This program is part of the LTTng-tools project.

LTTng-tools is distributed under the GNU General Public License version 2 <http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html>. See the LICENSE <https://github.com/lttng/lttng-tools/blob/master/LICENSE> file for details.

THANKS

Special thanks to Michel Dagenais and the DORSAL laboratory <http://www.dorsal.polymtl.ca/> at École Polytechnique de Montréal for the LTTng journey.

Also thanks to the Ericsson teams working on tracing which helped us greatly with detailed bug reports and unusual test cases.

AUTHORS

LTTng-tools was originally written by Mathieu Desnoyers, Julien Desfossez, and David Goulet. More people have since contributed to it.

LTTng-tools is currently maintained by Jérémie Galarneau <mailto:jeremie.galarneau@efficios.com>.

SEE ALSO

lttng-enable-event(1), lttng(1)